%define name monodevelop
%define version 0.12
%define svn 1949
%define release %mkrel 6
%define gtksharp 1.9.5
%define gtksourceview 0.10
%define gecko 0.10
%define monodoc 1.0
%if %mdkversion >= 200600
%define pkgconfigdir %_datadir/pkgconfig
%else
%define pkgconfigdir %_libdir/pkgconfig
%endif
%define mozver %(rpm -q --queryformat %%{VERSION} mozilla-firefox)

Summary: Full-featured IDE for mono and Gtk#
Name: %{name}
Version: %{version}
Release: %{release}
Source: http://go-mono.com/sources/monodevelop/%{name}-%{version}.tar.bz2
Patch: monodevelop-0.9-xvt.patch
Patch1: monodevelop-0.12-firefox.patch
URL: http://www.monodevelop.com/
License: GPL
Group: Development/Other
Requires: gecko-sharp2 >= %gecko
Requires: gtksourceview-sharp >= %gtksourceview
Requires: gnome-sharp2 >= %gtksharp
Requires: glade-sharp2 >= %gtksharp
Requires: monodoc >= %monodoc
Requires: shared-mime-info
Requires: libmozilla-firefox = %mozver
Requires: ikvm
BuildRequires: boo >= 0.7.6
BuildRequires: ikvm
# gw our nemerle is too old
#BuildRequires: nemerle
BuildRequires: mono-devel
BuildRequires: gecko-sharp2 >= %gecko
BuildRequires: gtksourceview-sharp >= %gtksourceview
BuildRequires: gnome-sharp2 >= %gtksharp
BuildRequires: glade-sharp2 >= %gtksharp
BuildRequires: monodoc >= %monodoc
BuildRequires: mono-data-sqlite
#BuildRequires: libmono-debugger-devel >= 0.12
BuildRequires: apache-mod_mono
#BuildRequires: jscall-sharp
BuildRequires: mozilla-firefox-devel
BuildRequires: perl-XML-Parser
BuildRequires: ImageMagick
BuildRequires: desktop-file-utils
BuildArch: noarch
BuildRoot: %{_tmppath}/%{name}-%{version}-buildroot
Requires(post): desktop-file-utils shared-mime-info
Requires(postun): desktop-file-utils shared-mime-info

%description 
This is MonoDevelop which is intended to be a full-featured
integrated development environment (IDE) for mono and Gtk#.
It was originally a port of SharpDevelop 0.98.

%prep
%setup -q
%patch -p1 -b .xvt
%patch1 -p1 -b .firefox

%build
./configure --prefix=%_prefix --libdir=%_libdir --enable-java --enable-versioncontrol --enable-boo --enable-aspnet 
#--enable-aspnetedit
#--enable-nemerle 
#--enable-debugger
make

%install
rm -rf $RPM_BUILD_ROOT %name.lang
mkdir -p %{buildroot}/`monodoc --get-sourcesdir`
%makeinstall_std UPDATE_MIME_DB="#" pkgconfigdir=%pkgconfigdir
#gw fix mozilla-firefox directory
perl -pi -e "s^xMOZVERx^%mozver^g" %buildroot%_bindir/monodevelop

# menu
mkdir -p %{buildroot}/%{_menudir}
cat > %{buildroot}/%{_menudir}/%{name} <<EOF
?package(%{name}): \
command="%{_bindir}/monodevelop" \
title="MonoDevelop" \
longtitle="Full-featured IDE for mono and Gtk#" \
%if %mdkversion <= 1000
section="More applications/Development/Development environments" \
%else
section="More Applications/Development/Development Environments" \
%endif
needs="x11" \
icon="monodevelop.png" \
startup_notify="yes" xdg="true"
EOF
desktop-file-install --vendor="" \
  --remove-category="Application" \
  --add-category="IDE" \
  --add-category="X-MandrivaLinux-MoreApplications-Development-DevelopmentEnvironments" \
  --dir $RPM_BUILD_ROOT%{_datadir}/applications $RPM_BUILD_ROOT%{_datadir}/applications/*


#icons
mkdir -p %buildroot{%_liconsdir,%_iconsdir,%_miconsdir}
ln -s %_datadir/pixmaps/%name.png %buildroot%_liconsdir/
convert -scale 32x32 %name.png %buildroot%_iconsdir/%name.png
convert -scale 16x16 %name.png %buildroot%_miconsdir/%name.png

mv %buildroot%_datadir/locale/ja_JP %buildroot%_datadir/locale/ja
%find_lang %name

%post
%update_mime_database
%update_desktop_database
%update_menus

%postun
%clean_mime_database
%clean_desktop_database
%clean_menus

%files -f %name.lang
%defattr(-,root,root) 
%doc AUTHORS ChangeLog README 
%{_bindir}/mdtool
%{_bindir}/monodevelop
%{_menudir}/%{name}
%{_prefix}/lib/monodevelop/
%{_datadir}/applications/monodevelop.desktop
%{_datadir}/mime/packages/monodevelop.xml
%{_datadir}/pixmaps/monodevelop.png
%pkgconfigdir/monodevelop.pc
%_liconsdir/%name.png
%_iconsdir/%name.png
%_miconsdir/%name.png

%clean
rm -rf $RPM_BUILD_ROOT


%changelog
* Mon Mar 05 2007 Götz Waschk <waschk@mandriva.org> 0.12-6mdv2007.0
+ Revision: 133395
- rebuild for new firefox
- rebuild for new firefox
- import cooker package
- fix firefox dep
- unpack patches

* Thu Nov 09 2006 Götz Waschk <waschk@mandriva.org> 0.12-3mdv2007.1
+ Revision: 79187
- Import monodevelop



* Thu Nov  9 2006 Gtz Waschk <waschk@mandriva.org> 0.12-3mdv2007.1
- rebuild for new firefox

* Fri Sep 15 2006 Frederic Crozat <fcrozat@mandriva.com> 0.12-2mdv2007.0
- Rebuild with latest firefox

* Mon Sep 11 2006 Gtz Waschk <waschk@mandriva.org> 0.12-1mdv2007.0
- enable asp.net support
- rediff patch 1
- New version 0.12

* Thu Aug 03 2006 Götz Waschk <waschk@mandriva.org> 0.11-1mdv2007.0
- rebuild for new firefox

* Sat Jul 29 2006 Gtz Waschk <waschk@mandriva.org> 0.11-4mdv2007.0
- rebuild for new firefox

* Tue Jun 27 2006 Gtz Waschk <waschk@mandriva.org> 0.11-3mdv2007.0
- xdg menu
- enable boo

* Wed Jun  7 2006 Gtz Waschk <waschk@mandriva.org> 0.11-2mdv2007.0
- Rebuild for new firefox

* Wed May 10 2006 Götz Waschk <waschk@mandriva.org> 0.11-1mdk
- New release 0.11

* Wed May 03 2006 Götz Waschk <waschk@mandriva.org> 0.10-3mdk
- rebuild for new firefox

* Fri Apr 21 2006 Götz Waschk <waschk@mandriva.org> 0.10-2mdk
- rebuild for new firefox

* Wed Apr  5 2006 Gtz Waschk <waschk@mandriva.org> 0.10-1mdk
- drop patch 2
- New release 0.10

* Fri Feb  3 2006 Gtz Waschk <waschk@mandriva.org> 0.9-6mdk
- patch for new mono
- rebuild for new mozilla-firefox

* Tue Jan 10 2006 Götz Waschk <waschk@mandriva.org> 0.9-5mdk
- rebuild for new mozilla-firefox

* Tue Dec 20 2005 Gtz Waschk <waschk@mandriva.org> 0.9-4mdk
- rebuild for new mono

* Mon Dec 12 2005 Gtz Waschk <waschk@mandriva.org> 0.9-3mdk
- enable version control
- reenable ikvm

* Mon Dec 12 2005 Götz Waschk <waschk@mandriva.org> 0.9-2mdk
- rebuild for new mono
- use mkrel

* Fri Nov 25 2005 Gtz Waschk <waschk@mandriva.org> 0.9-1mdk
- update file list
- update patch 0
- disable debugger, boo and ikvm
- New release 0.9

* Tue Oct 25 2005 Götz Waschk <waschk@mandriva.org> 0.8-2mdk
- rebuild for new mozilla

* Fri Oct 14 2005 Gtz Waschk <waschk@mandriva.org> 0.8-1mdk
- drop patches 2,3
- New release 0.8

* Thu Sep  1 2005 Gtz Waschk <waschk@mandriva.org> 0.7-13mdk
- patch for new boo

* Thu Aug 25 2005 Götz Waschk <waschk@mandriva.org> 0.7-12mdk
- rebuild for new gtk-sharp2

* Fri Jul 29 2005 Gtz Waschk <waschk@mandriva.org> 0.7-11mdk
- rebuild for new firefox

* Fri Jul 01 2005 Gtz Waschk <waschk@mandriva.org> 0.7-10mdk
- rebuild for new boo

* Mon Jun 20 2005 Gtz Waschk <waschk@mandriva.org> 0.7-9mdk
- update patch 2 for new debugger

* Mon Jun 20 2005 Gtz Waschk <waschk@mandriva.org> 0.7-8mdk
- Rebuild

* Thu Jun  2 2005 Gtz Waschk <waschk@mandriva.org> 0.7-7mdk
- no more no noarch

* Mon May 30 2005 Gtz Waschk <waschk@mandriva.org> 0.7-6mdk
- no more noarch
- build with mono debugger support on x86

* Wed May 25 2005 Gtz Waschk <waschk@mandriva.org> 0.7-5mdk
- rebuild for new firefox

* Tue May 24 2005 Gtz Waschk <waschk@mandriva.org> 0.7-4mdk
- rebuild

* Tue May 24 2005 Gtz Waschk <waschk@mandriva.org> 0.7-3mdk
- enable java

* Mon May 23 2005 Gtz Waschk <waschk@mandriva.org> 0.7-2mdk
- fix startup and depend on mozilla-firefox

* Fri May 20 2005 Gtz Waschk <waschk@mandriva.org> 0.7-1mdk
- make it noarch
- update deps
- new source URL
- New release 0.7

* Wed Apr 20 2005 Gtz Waschk <waschk@mandriva.org> 0.6-7mdk
- fix Japanese locale dir
- patch to use xvt instead of xterm
- drop dep on libgtksourceview, now in libgtksourceview-sharp
- fix buildrequires, hopefully for the last time

* Tue Apr 19 2005 Gtz Waschk <waschk@mandriva.org> 0.6-6mdk
- fix buildrequires once again

* Tue Apr 19 2005 Gtz Waschk <waschk@mandriva.org> 0.6-5mdk
- fix buildrequires again

* Tue Apr 19 2005 Gtz Waschk <waschk@mandriva.org> 0.6-4mdk
- fix buildrequires

* Fri Apr  1 2005 Emmanuel Blindauer <mdk@agat.net> 0.6-3mdk
- Add requires on libgtksourceview (fix crash)

* Wed Mar 30 2005 Gtz Waschk <waschk@linux-mandrake.com> 0.6-2mdk
- fix buildrequires

* Wed Mar 30 2005 Gtz Waschk <waschk@linux-mandrake.com> 0.6-1mdk
- drop the patch
- bump deps
- New release 0.6

* Fri Sep 24 2004 Gtz Waschk <waschk@linux-mandrake.com> 0.5.1-1mdk
- spec fixes
- 0.5.1 final

* Mon Sep 13 2004 Gtz Waschk <waschk@linux-mandrake.com> 0.5.1-0.1949.1mdk
- fix menu
- update to snapshot

* Mon Aug  9 2004 Gtz Waschk <waschk@linux-mandrake.com> 0.5-3mdk
- requires xterm

* Wed Jul 28 2004 Gtz Waschk <waschk@linux-mandrake.com> 0.5-2mdk
- rebuild for new rpm

* Thu Jul  1 2004 Gtz Waschk <waschk@linux-mandrake.com> 0.5-1mdk
- bump deps
- new version

* Fri Jun 25 2004 Gtz Waschk <waschk@linux-mandrake.com> 0.4-4mdk
- add scaled icons
- fix deps again

* Fri Jun 25 2004 Gtz Waschk <waschk@linux-mandrake.com> 0.4-3mdk
- drop packager tag
- another buildrequires fix

* Thu Jun 3 2004 Sandino "Tigrux" Flores <tigrux@ximian.com> 0.4-2mdk
  - Added menu scripts to %%post and %%postun
  - Own only files it owns
  - Use %%configure2_5x instead of %%configure

* Thu Jun 3 2004 Sandino "Tigrux" Flores <tigrux@ximian.com> 0.4-1mdk
  - First rpm for mandrake
